Opened 11 years ago

Closed 11 years ago

Last modified 5 years ago

#777 closed Defect (fixed)

backward compatibility with deepest level

Reported by: rblod Owned by: nemo
Priority: low Milestone:
Component: OCE Version: release-3.3
Severity: Keywords: DOM
Cc: Branch review:
MP ready?: Task progress:

Description

It's not reaaly a bug, but I'm afraid changeset 2379 in domzgr broke backward compatibility when forcing the v3.3 with open boundary conditions from a previous release. Since the last level has been redefined, It's no more in phase which the one seen by the OBC, and it's quiet tricky to identify. I'm also afraid this leads to potential problem when using restart from previous release, but i didn't experiment this last issue. I'm not sure what do to exactly, a warning at least should be put.

Commit History (3)

ChangesetAuthorTimeChangeLog
2516gm2010-12-23T17:10:12+01:00

v3.3beta: #777 and #781 backward compatibility with deepest level + missing the updated domain.F90

2493gm2010-12-20T14:47:12+01:00

v3.3beta: #777 backward compatibility with the setting of the minimum ocean depth: set mbathy to 0 over lands

2482gm2010-12-18T09:43:49+01:00

v3.3beta: #777 backward compatibility with the setting of the minimum ocean depth: add a namelist param

Change History (3)

comment:1 Changed 11 years ago by gm

  • Resolution set to fixed
  • Status changed from new to closed

It is a true problem. 

The backward compatibility is broken causing trouble when using restart or OBC obtained from previous releases.

The chosen solution is to add a new namelist parameter in numdom (rn_hmin) used as follows:

  • rn_hmin < 0 then INT(rn_hmin) = the minimum number of ocean level
  • rn_hmin ≥ 0 then rn_hmin is minimum ocean depth

The default value of rn_hmin is set to -3._wp which allows to recover the bathy as defined in previous release. In ORCA_R1 namelist, rn_hmin = 25._wp generates the expected bathymetry.

This parameter is used directly in zgr_bat, so that it modifies the bathy array for all the coordinate system (zco, zps & sco).

In addition, 2 almost useless arrays (hdept  , hdepw) have been removed (only used in domwri) (modules involved in this change: OPA: dom_oce, domzgr and domwri OFF: domrea

Gurvan

Done see changeset:2482

comment:2 Changed 11 years ago by gm

Error reported by Marcello (see #781) . I forgot to commit the modified domain.F90 routine…. 

correction done,  see changeset:2516

comment:3 Changed 5 years ago by nicolasmartin

  • Keywords DOM added; domzgr removed
Note: See TracTickets for help on using tickets.